\documentclass[12pt]{article}
\usepackage{amsmath}
\usepackage{esint}
\usepackage[]{graphicx}
\usepackage[margin=.875in]{geometry}
\usepackage{color}
\usepackage[font={footnotesize}]{caption}

\usepackage{listings}
\newcommand{\args}[1]{\left({#1}\right)}
\newcommand{\argsb}[1]{\left\{{#1}\right\}}
\newcommand{\argsbr}[1]{\left[{#1}\right]}
\newcommand{\norm}[1]{\left|{#1}\right|}
\newcommand{\bo}[1]{\boldsymbol{#1}}
\renewcommand{\vec}{\bo}
\newcommand{\hvec}[1]{\hat{\vec{#1}}}
\newcommand{\curl}{\vec\nabla\times}
\newcommand{\dv}{\vec\nabla\cdot}
\newcommand{\grad}{\vec\nabla}
\newcommand{\x}[1]{{\color{red}{\textbf{#1}}}}
\newcommand{\y}[1]{{\color{green}{\textbf{#1}}}}
\newcommand{\fig}[1]{Fig.~\ref{fig:#1}}
\newcommand{\Fig}[1]{Figure~\ref{fig:#1}}
\newcommand{\sfig}[1]{Supplementary Fig.~\ref{fig:#1}}

\newcommand{\code}[1]{\texttt{#1}}

\linespread{1.5}


%{$^*$Email: aksiment@illinois.edu}

%{}


\renewcommand{\abstractname}{\large ABSTRACT}



\begin{document}
%\begin{titlepage}
%\begin{center}
%\textbf{\Huge Multi-resolution simulation of {DNA} transport through large synthetic nanostructures}\\[.5cm]
%{\large Adnan Choudhary$^\dagger$, Christopher Maffeo$^{\dagger,\ddag}$ and Aleksei Aksimentiev$^{*,\dagger,\ddag}$}\\[.5cm]
%%\rule{12cm}{.06cm}
%\textit{\small $^\dagger$Department of Physics, University of Illinois at Urbana--Champaign, Urbana, IL 61801, USA}\\
%\textit{\small $^\ddag$Beckman Institute for Advanced Science and Technology, University of Illinois at Urbana-Champaign, Urbana, IL 61801, USA}\\[.5cm]
%$^*$E-mail: aksiment@illinois.edu\\[.5cm]
%\end{center}
%
%\end{titlepage}

\section*{Hands-on guide for computing PMF, diffusion map}
There are several steps for compute the PMF and the diffusion map from the available free volume. 
\begin{enumerate}
\item compute the bit map for the available area with a given probe radius 
\item compute the PMF and/or diffusion map 
\end{enumerate}

To compute the available volume from a given cylindrical constraint plus the lipid, you need to follow these steps:
\begin{enumerate}
\item \code{cd region\_lipid\_constrant/region\_lipid} and \code{make clean \&\& make}
\item \code{./construct\_lipid -name <protein name> -radius <protein radius>} and get a bit-value file named \code{region\_<protein name>.dx}
\item \code{cd ../region\_total} and {make clean \&\& make} 
\item \code{./intersection ../region\_constraint/cylinder\_r500.dx ../region\_lipid/region\_<protein name>.dx region\_<protein name>.dx} for the cylindrical constraint with 50 nm 
while \code{./intersection ../region\_constraint/cylinder\_r250.dx ../region\_lipid/region\_<protein name>.dx region\_<protein name>.dx}.
\end{enumerate}
After this command, you create a DX file of the available volume in the given lipid plus cylindrical constraint.

Run \code{cd ../../pmf \&\& make clean \&\&make} to make the binary files and copy the DX file you just created to the current path. Run the following:  
\code{./pmf\_nups -traj <path to dcd trajectory file> <start frame> <end frame> <stride> -mol input.txt -rc 10 -probe <probe radius> -cut\_off <cut-off size> -constraint <constraint radius size> -lipid\_name <DX file you created> -cell <Lx> <Ly> <Lz> <Nx> <Ny> <Nz> > pmf.txt} 
to get the PMF from a DCD trajectory of FG-nups simulation where \code{Lx}, \code{Ly}, \code{Lz} are simulation box dimensions in three directions and 
\code{Nx}, \code{Ny} \code{Nz} are the numbers of grids along three axes. The cut-off size is recommended to be probe size plus 5. The file \code{pmf.txt} contains the PMF values 
in kcal/mol at different z coordinates.
To get the PMF without FG-nups, run
\code{./pmf\_no\_nups -traj cg\_npc\_scaffold\_protein.xyz.txt -mol input.txt -rc 10 -probe <probe radius> -cut\_off <cut-off size> -constraint  <constraint radius size> -lipid\_name <DX file you created> -cell <Lx> <Ly> <Lz> <Nx> <Ny> <Nz> > pmf.txt}.  

For the diffusion map, run \code{cd ../diff \&\& make} to make binary files and copy the DX file you just created to the current path. 
Run the same commands as for PMF computation except changing the binary names to \code{radius\_nups} and \code{radius\_no\_nups} in the corresponding 
commands and change the \code{pmf.txt} to \code{rad.txt}. After that, run \code{python convert\_to\_diffusion.py rad.txt <free diffusion coefficient>} to get the 1D diffusion map.

The file \code{input.txt} can by prepared by \code{python print\_input.py <number of total coarse-grained particles> input.txt}. The total number coarse-grained particles is 
the summation of FG-nups particles and the scaffold protein particles. The file \code{cg\_npc\_scaffold\_protein.xyz.txt} is xyz coordinates of the scaffold proteins. The first line should be 
"\code{\# <number of particles of scaffold proteins>}" and the rest of followings lines are the xyz coordinates of the scaffold particles.

Example 1: Compute the PMF for the protein 1g5y with radius 30.04 \AA~with FG-nups present. The FG-nups trajectory DCD trajectory is output.dcd and 
the ensemble average is taken over the first 1000 frames.
\begin{enumerate}
\item \code{cd region\_lipid\_constrant/region\_lipid} and \code{make clean \&\& make}
\item \code{./construct\_lipid -name 1g5y -radius 30.04} 
\item \code{cd ../region\_total} and {make clean \&\& make} 
\item \code{./intersection ../region\_constraint/cylinder\_r500.dx ../region\_lipid/region\_1g5y.dx region\_1g5y.dx}
\item \code{cd ../../pmf \&\& make clean \&\&make} 
\item \code{cp ../../region\_constraint/region\_total/region\_1g5y.dx .}
\item \code{./pmf\_nups -traj output.dcd 0 1000 1 -mol input.txt -rc 10 -probe 30.04 -cut\_off 35.04 -constraint 500 -lipid\_name region\_1g5y.dx -cell 1200 1200 1200 600 600 600 > pmf.txt}
\end{enumerate}

Example 2: Compute the PMF for the  protein 1g5y with radius 30.04 \AA~with FG-nups absent. 
\begin{enumerate}
\item Same from step 1 to step 6 in Example 1.
\item \code{./pmf\_no\_nups -traj cg\_npc\_scaffold\_protein.xyz.txt -mol input.txt -rc 10-probe 30.04 -cut\_off 35.04 -constraint 500 -lipid\_name region\_1g5y.dx -cell 1200 1200 1200 600 600 600 > pmf.txt}.  
\end{enumerate}

Example 3: Compute the diffusion map for the  protein 1g5y with radius 30.04 \AA~with FG-nups present. The FG-nups trajectory DCD trajectory is output.dcd and 
the ensemble average is taken over the first 1000 frames.
\begin{enumerate}
\item Same from step 1 to step 4 in Example 1.
\item \code{cd ../../diff \&\& make clean \&\&make} 
\item \code{cp ../../region\_constraint/region\_total/region\_1g5y.dx .}
\item \code{./radius\_nups -traj output.dcd 0 1000 1 -mol input.txt -rc 10 -probe 30.04 -cut\_off 35.04 -constraint 500 -lipid\_name region\_1g5y.dx -cell 1200 1200 1200 600 600 600 > pmf.txt}
\end{enumerate}

Example 4: Compute the diffusion map for the  protein 1g5y with radius 30.04 \AA~with FG-nups absent. 
\begin{enumerate}
\item Same from step 1 to step 6 in Example 3.
\item \code{./radius\_no\_nups -traj cg\_npc\_scaffold\_protein.xyz.txt -mol input.txt -rc 10-probe 30.04 -cut\_off 35.04 -constraint 500 -lipid\_name region\_1g5y.dx -cell 1200 1200 1200 600 600 600 > pmf.txt}.  
\end{enumerate}

\section*{Hands-on guide for percolation analysis}
Navigate to the \code{percolation\_analysis} by \code{cd ../percolation\_analysis} and then \code{make} and copy the DX file to the current directory. 
run \code{./find\_connectivity -traj <path to dcd trajectory file> <start frame> <end frame> <stride> -mol input.txt -rc 10 -probe <probe radius> -cut\_off <cut-off size>  -constraint <constraint radius size> -lipid\_name <DX file you created> -cell <Lx> <Ly> <Lz> <Nx> <Ny> <Nz> > trajs.txt}
where you set \code{Nx}, \code{Ny} and \code{Nz} for the box dimensions, only FG-nups particles inside that box centered at origin would be considered. 
The file \code{trajs.txt} contains the results of whether having a full-connected path, 0 indicates for a disconnected path and 1 for a connected path.

Example 1: Check the connectivity from $z=-200$~\AA~to $z=200$~\AA ~for the protein 1g5y with radius 30.04 \AA~with FG-nups present. 
The FG-nups trajectory DCD trajectory is output.dcd and only first 1000 frames are considered.
\begin{enumerate}
\item Same from step 1 to step 4 in Example 1.
\item \code{cd ../../percolation\_analysis \&\& make clean \&\&make} 
\item \code{cp ../../region\_constraint/region\_total/region\_1g5y.dx .}
\item \code{./find\_connectivity -traj output.dcd 0 1000 1 -mol input.txt -rc 10 -probe 30.04 -cut\_off 35.04 -constraint 500 -lipid\_name region\_1g5y.dx 
-cell 1000 1000 400 500 500 200 > trajs.txt}
\end{enumerate}
\end{document}

